import { Elysia } from "elysia";
import { html } from "@elysiajs/html";
import { staticPlugin } from "@elysiajs/static";

// import { autoroutes } from "elysia-autoroutes";
// import { Store } from "./store";
// // @ts-ignore
// import data from "../package.json";

import { HomeLayout } from "./layout";
import { Landing } from "./landing";

export const server = new Elysia()
  .use(html())
  .use(staticPlugin())
  // .get("/public/htmx.js", () =>
  //   Bun.file("node_modules/htmx.org/dist/htmx.min.js"),
  // )
  // .state("store", new Store())
  // .state("version", data.version)
  .onError(({ code, error }) => {
    console.error(code, error);
  })
  .get("/", ({html}) => html(<HomeLayout><Landing></Landing></HomeLayout>))
  .post("/clicked", ()=> <div>Hello?</div>)

  .listen(Bun.env["PORT"] ?? 3000);


console.log(
  `app is running at ${server.server?.hostname}:${server.server?.port}`,
);

export type ElysiaApp = typeof server;
